Skip to content

List notifications

GET
/api/v1/notifications

Returns paginated notifications for the current user, ordered by most recent first.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Query Parameters

limit
Type
integer
Maximum
100
Minimum
1
Default
20
offset
Type
integer
Minimum
0
Default
0

Responses

Successful Response

application/json
JSON
{
  
"notifications": [
  
  
{
  
  
  
"id": "string",
  
  
  
"notification_type": "string",
  
  
  
"title": "string",
  
  
  
"body": "string",
  
  
  
"project_id": "string",
  
  
  
"job_id": "string",
  
  
  
"data": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"is_read": true,
  
  
  
"created_at": "string"
  
  
}
  
],
  
"total": 0,
  
"has_more": true
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

XC AI Content Automation